# Interface ICefV8Exception

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefV8Exception = interface(ICefBaseRefCounted)`

## Description

Interface representing a V8 exception. The functions of this interface may be called on any render process thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_exception_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefV8Exception

## Overview

### Methods

| `function GetMessage: ustring;`
| `function GetSourceLine: ustring;`
| `function GetScriptResourceName: ustring;`
| `function GetLineNumber: Integer;`
| `function GetStartPosition: Integer;`
| `function GetEndPosition: Integer;`
| `function GetStartColumn: Integer;`
| `function GetEndColumn: Integer;`

### Properties

| `property Message : ustring read GetMessage;`
| `property SourceLine : ustring read GetSourceLine;`
| `property ScriptResourceName : ustring read GetScriptResourceName;`
| `property LineNumber : Integer read GetLineNumber;`
| `property StartPosition : Integer read GetStartPosition;`
| `property EndPosition : Integer read GetEndPosition;`
| `property StartColumn : Integer read GetStartColumn;`
| `property EndColumn : Integer read GetEndColumn;`

## Description

### Methods

| `function GetMessage: ustring;`
Returns the exception message. ###### Attributes GUID['{7E422CF0-05AC-4A60-A029-F45105DCE6A4}']

| `function GetSourceLine: ustring;`
Returns the line of source code that the exception occurred within.

| `function GetScriptResourceName: ustring;`
Returns the resource name for the script from where the function causing the error originates.

| `function GetLineNumber: Integer;`
Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

| `function GetStartPosition: Integer;`
Returns the index within the script of the first character where the error occurred.

| `function GetEndPosition: Integer;`
Returns the index within the script of the last character where the error occurred.

| `function GetStartColumn: Integer;`
Returns the index within the line of the first character where the error occurred.

| `function GetEndColumn: Integer;`
Returns the index within the line of the last character where the error occurred.

### Properties

| `property Message : ustring read GetMessage;`
Returns the exception message.

| `property SourceLine : ustring read GetSourceLine;`
Returns the line of source code that the exception occurred within.

| `property ScriptResourceName : ustring read GetScriptResourceName;`
Returns the resource name for the script from where the function causing the error originates.

| `property LineNumber : Integer read GetLineNumber;`
Returns the 1-based number of the line where the error occurred or 0 if the line number is unknown.

| `property StartPosition : Integer read GetStartPosition;`
Returns the index within the script of the first character where the error occurred.

| `property EndPosition : Integer read GetEndPosition;`
Returns the index within the script of the last character where the error occurred.

| `property StartColumn : Integer read GetStartColumn;`
Returns the index within the line of the first character where the error occurred.

| `property EndColumn : Integer read GetEndColumn;`
Returns the index within the line of the last character where the error occurred.

Generated by PasDoc 0.16.0-snapshot.